/* ------------------- GLOBAL STYLES -------------------- */

body {
    height: 100vh;
    margin: 0%;
    padding: 0%;
    font-family: 'AkzidenzGroteskPro', Arial, sans-serif;
    font-size: 1.2rem;
    background-color: #000;
}

.font-akz-cond {
    font-family: 'AkzidenzGroteskProCond', 'AkzidenzGroteskPro', sans-serif;
}

.fw-300 {
    font-weight: 300;
}

.fw-400 {
    font-weight: 400;
}

.fw-500 {
    font-weight: 500;
}

.fw-700 {
    font-weight: 700;
}

.titulo-cond {
    font-family: 'AkzidenzGroteskProCond', 'AkzidenzGroteskPro', sans-serif;
    font-size: clamp(5rem, 10vw, 8rem);
    line-height: 0.8;
    letter-spacing: -8px;
    padding-left: 0%;
}

.padding-general-izq {
    padding-left: 10%;
}

.text_end {
    text-align: end;
}

.ajuste-block {
    display: inline-block;
}

/* --------- MOVIL --------- */
@media (min-width: 350px) and (max-width: 600px) {
    body {
        font-size: 1rem;
    }
}

/* --------- TABLET --------- */
@media (min-width: 600px) and (max-width: 1500px) {
    body {
        font-size: 1rem;
    }
}

/* ------------------- COLORS --------------------*/

:root {
    /* Verdes columna */
    --verde_columna: #3C8A2E;
    --verde_columna-1: #61C250;

    /* Marrones bloque */
    --marron_bloque: #DBCEAC;
    --marron_bloque-1: #E1D8B7;
    --marron_bloque-2: #EDE8C4;
    --marron_bloque-3: #D3BF96;
    --marron_bloque-4: #A79E70;
    --marron_bloque_mas_3: #91785B;
}

.verde_columna {
    color: #3C8A2E;
}

.verde_columna-1 {
    color: #61C250;
}

.marron_bloque {
    color: #DBCEAC;
}

.marron_bloque-1 {
    color: #E1D8B7;
}

.marron_bloque-2 {
    color: #EDE8C4;
}

.marron_bloque-3 {
    color: #D3BF96;
}

.marron_bloque-4 {
    color: #A79E70;
}

.marron_bloque_mas_3 {
    color: #91785B;
}

.bg-marron_bloque {
    background-color: var(--marron_bloque);
}

/* ------------------- NAV --------------------*/

.navbar {
    transition: top 0.4s ease;
    padding: 0 5%;
    font-size: 1.2rem;
}

.navbar .container-fluid {
    position: relative;
    display: flex;
    align-items: center;
}

.logoBarro {
    height: 20px;
    width: auto;
}


#icon-centrado {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

#icon-centrado img {
    height: 50px;
    width: auto;
}

.navbar-toggler {
    margin-left: auto;
}

.navbar.hide {
    top: -90px;
}

.nav-link:hover {
    font-weight: 400;
}

/* --------- MOVIL --------- */

@media (min-width: 350px) and (max-width: 600px) {
    #navbarNav ul {
        gap: 5px !important;
    }

    .logoBarro {
        height: 30px;
        margin: 10px 0;
    }

    #icon-centrado img {
        display: none;
    }
}

@media (min-width: 992px) {
    .navbar {
        height: 80px;
    }
}

@media (min-width: 600px) and (max-width: 1500px) {
    .navbar {
        height: 80px;
    }

    #navbarNav ul {
        gap: 10px !important;
    }

}

/* ------------------- MAIN --------------------*/

#main {
    width: 100%;
    height: 100vh;
    background-image: url(../imgs/bg_BARRO\ 01.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 80px;
}

@media (max-width:600px) {
    #main {
        margin-top: 0px !important;
    }
}

/* ------------------- SECCION INSTAGRAM --------------------*/

#seccion_instagram {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-image: url(../imgs/bgBARRO_001.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    position: relative;
}

#seccion_instagram,
#seccion_instagram .ig-bg {
    overflow: hidden !important;
}

#seccion_instagram p {
    height: 45%;
    padding-left: 10px;
}

#seccion_instagram button {
    border-radius: 10px;
    font-size: 1.5rem;
    background-color: var(--marron_bloque_mas_3);
    color: var(--marron_bloque-2);
    border: none;
    width: 32%;
    padding: 1% 0;
    margin-bottom: 10%;
}


.insta-section {
    min-height: 70vh;
    overflow: hidden;
}

.ig-bg {
    position: absolute;
    inset: 0;
    z-index: 0;
    display: grid;
    place-items: center;
    overflow: hidden;
}

/* “Agrandar” el embed dentro del fondo */
.ig-bg .instagram-media {
    width: min(520px, 100%);
    margin: 0 !important;
    transform-origin: center;
    transform: scale(1.15);
}

.insta-overlay {
    pointer-events: none;
    z-index: 2;
}

#seccion_instagram button {
    pointer-events: auto;
}

.instagram-media {
    margin: 0 !important;
    padding: 0 !important;
    border: none !important;
    background: transparent !important;
    box-shadow: none !important;
}



@media (max-width:600px) {


    #seccion_instagram h1 {
        padding-top: 0 !important;
    }

    #seccion_instagram button {
        font-size: 1rem;
        width: 50%;
        padding: 2%;
        margin-bottom: 60%;
    }

    #seccion_instagram p {
        padding-top: 30% !important;
    }

    .ig-bg .instagram-media {
        transform: scale(0.8);
    }

    #seccion_instagram .ig-bg .instagram-media {
        -webkit-clip-path: inset(0 0 170px 0);
        clip-path: inset(0 0 170px 0);

    }

}



/* ------------------- SECCION YOUTUBE --------------------*/

#seccion_youtube {
    width: 100%;
    height: 100vh;
    background-color: var(--marron_bloque);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

#seccion_youtube iframe {
    height: 60%;
    width: 60%;
}

#seccion_youtube button {
    border-radius: 10px;
    font-size: 1rem;
    background-color: var(--verde_columna);
    color: var(--marron_bloque-2);
    border: none;
    width: 20%;
    padding: 1% 0;
    margin-bottom: 5%;
}


@media (max-width:600px) {
    #seccion_youtube {
        height: 80% !important;
    }

    #seccion_youtube iframe {
        height: 40%;
        width: 80%;
    }

    #seccion_youtube button {
        margin-bottom: 35%;
        font-size: 1rem;
        width: 50% !important;
        padding: 2%;
    }

    #seccion_youtube p {
        margin: 0% !important;
    }
}

/* ------------------- SECCION SLIDE --------------------*/

#seccion_slide {
    width: 100%;
    height: 100vh;
    background-color: var(--verde_columna);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#seccion_slide .row {
    margin: 0% !important;
}

.slide-viewport {
    width: 100%;
    height: 65%;
    overflow: hidden;
}

.galeria-strip {
    height: 100%;
    display: flex;
    gap: .3rem;
    cursor: grab;
    user-select: none;
    -webkit-user-select: none;
    overflow-x: auto;
    -ms-overflow-style: none;
    /* IE 10+ / Edge Legacy */
    scrollbar-width: none;
    /* Firefox */
}

.galeria-strip::-webkit-scrollbar {
    display: none;
    width: 0;
    height: 0;
}

.galeria-item {
    flex: 0 0 360px;
    object-fit: cover;
    -webkit-user-drag: none;
}

/* móvil */
@media (max-width: 600px) {
    #seccion_slide {
        height: 90% !important;
    }
}

/* ------------------- SECCION FOOTER -------------------- */

footer {
    width: 100%;
    height: 100vh;
    flex-direction: column;
    align-items: center;
    color: var(--marron_bloque);
    background-image: url(../imgs/bgBARRO_001.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    font-size: 1.8rem;
}

footer .row * {
    padding: 0% !important;
}

footer a {
    color: var(--marron_bloque);
}

footer a:hover {
    color: var(--marron_bloque_mas_3);
}

@media (max-width: 600px) {
    footer {
        height: 100% !important;
        font-size: 1rem;
    }

}


/* ===========================
   BOTÓN BASE
   =========================== */
.navbar-toggler {
    border: none !important;
    background: transparent !important;
    padding: .25rem;
    box-shadow: none !important;
    border: 2px solid red;
}

.navbar-toggler:focus {
    box-shadow: none !important;
}

.navbar-toggler-icon {
    background-image: none !important;
}

/* ===========================
   HAMBURGUESA (CERRADO)
   =========================== */

.navbar-toggler-icon {
    position: relative;
    display: block;
    /*  width: 26px; */
    width: 35px;
    height: 3px;
    background: #000;
    border-radius: 999px;
    transition: all .25s ease;
}

/* líneas superior e inferior */
.navbar-toggler-icon::before,
.navbar-toggler-icon::after {
    content: "";
    position: absolute;
    left: 0;
    width: 35px;
    height: 3px;
    background: #000;
    border-radius: 999px;
    transition: all .25s ease;
}

.navbar-toggler-icon::before {
    top: -6px;
}

.navbar-toggler-icon::after {
    top: 6px;
}

/* ===========================
   SKATE (ABIERTO)
   =========================== */

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    /* tabla del skate */
    width: 40px;
    height: 3px;
    background: #000;
    border-radius: 999px;
    transform: translateY(4px);
}

/* ruedas */
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::before,
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::after {
    width: 7px;
    height: 7px;
    top: 3px;
    background: #000;
    border-radius: 50%;
}

/* rueda izquierda */
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::before {
    left: 4px;
}

/* rueda derecha */
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::after {
    left: auto;
    right: 4px;
}